import { OnInit } from '@angular/core';
import { OsmToastService, ToastMessage } from './osm-toast.service';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare class OsmToastComponent implements OnInit {
    private toastService;
    private sanitizer;
    toasts: ToastMessage[];
    safeSuccessSvg: SafeHtml;
    safeErrorSvg: SafeHtml;
    safeLoadingSvg: SafeHtml;
    constructor(toastService: OsmToastService, sanitizer: DomSanitizer);
    successSvg: string;
    errorSvg: string;
    loadingSvg: string;
    ngOnInit(): void;
    private removeToast;
    static ɵfac: i0.ɵɵFactoryDeclaration<OsmToastComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OsmToastComponent, "osm-toast", never, {}, {}, never, never, false, never>;
}
