import * as i0 from "@angular/core";
export interface ToastMessage {
    type: 'success' | 'error' | 'loading' | 'discard';
    message: string;
    id: string;
}
export declare class OsmToastService {
    private toastMessages;
    private toastMessagesSubject;
    toastMessages$: import("rxjs").Observable<ToastMessage>;
    constructor();
    success(message: string): void;
    error(message: string): void;
    loading(message: string): string;
    discard(id: string): void;
    private generateId;
    private showToast;
    private removeToast;
    static ɵfac: i0.ɵɵFactoryDeclaration<OsmToastService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OsmToastService>;
}
